#include <SoftwareSerial.h>

// Servo-Library importieren
#include <Servo.h>

// 2 Servo Objekte erstellen
Servo servoX;  
Servo servoY;  

int led = 13;

// Variablen für die empfangenen Serial-Werte
int currentValue = 0;
int values[] = {127,127};

void setup() {
    // led pin als output setzen:
    pinMode(led, OUTPUT); 

    // serielle verbindung initialisieren 
    Serial.begin(9600);

    servoX.attach(4);  // X-Motor Pin 2 zuweisen
    servoY.attach(5); // Y-Motor Pin 3 zuweisen
    servoX.write(90); // X-Motor auf neutrale Position stellen (90°)
    servoY.write(90); // Y-Motor auf neutrale Position stellen (90°)
}
 
void loop() {
    //wenn Daten empfangen werden, dann Werte einlesen
    if(Serial.available() > 0){     
       //led einschalten
       digitalWrite(led, HIGH);
       
       int incomingValue = Serial.read();
       values[currentValue] = incomingValue;
       
       currentValue++;
       if(currentValue > 1){
         currentValue = 0;
       }
       Serial.print(1);
    } 
    else {
        //led ausschalten
        digitalWrite(led, LOW); 
    }
    
   //links/rechts
   int xpos = values[0];
   //Werte mappen
   xpos = (int) map(xTest,0,254,0,180);
   
   //vor/zurück
   int ypos = values[1];
   //Werte mappen
   ypos = (int) map(yTest,0,254,180,0);
   
  // Motoren bewegen
  servoX.write(xpos);
  servoY.write(ypos);

  
}
